VERSION 5.00
Begin VB.Form frmListDrag 
   Caption         =   "List Box Dragging"
   ClientHeight    =   5715
   ClientLeft      =   1770
   ClientTop       =   1545
   ClientWidth     =   6585
   LinkTopic       =   "Form1"
   ScaleHeight     =   5715
   ScaleWidth      =   6585
   Begin VB.ListBox List1 
      Height          =   3765
      Index           =   1
      ItemData        =   "frmListDrag.frx":0000
      Left            =   3600
      List            =   "frmListDrag.frx":0019
      MultiSelect     =   2  'Extended
      OLEDragMode     =   1  'Automatic
      OLEDropMode     =   1  'Manual
      Sorted          =   -1  'True
      TabIndex        =   1
      Top             =   720
      Width           =   2535
   End
   Begin VB.ListBox List1 
      Height          =   3765
      Index           =   0
      ItemData        =   "frmListDrag.frx":0056
      Left            =   240
      List            =   "frmListDrag.frx":006F
      MultiSelect     =   2  'Extended
      OLEDragMode     =   1  'Automatic
      OLEDropMode     =   1  'Manual
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   720
      Width           =   2535
   End
   Begin VB.Label Label2 
      Caption         =   $"frmListDrag.frx":00AB
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000080&
      Height          =   1095
      Left            =   240
      TabIndex        =   3
      Top             =   4680
      Width           =   5895
   End
   Begin VB.Label Label1 
      Caption         =   "Multiple File listbox Drag and Drop Demo"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00C00000&
      Height          =   375
      Left            =   480
      TabIndex        =   2
      Top             =   120
      Width           =   5535
   End
End
Attribute VB_Name = "frmListDrag"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim I As Integer, X As Integer, FND As Integer

Private Sub AddSelected(Source As Control, Destination As Control)
     'Scan all items in the source listbox
     For I = 0 To Source.ListCount - 1
        'If an item is selected
        If Source.Selected(I) Then
            'Check if item exists in destination listbox
            For X = 0 To Destination.ListCount - 1
                If Right(Destination.List(X), Len(Source.List(I))) = Source.List(I) Then
                    FND = True
                    Source.Selected(I) = False
                End If
            Next
            'If not found add item
            If FND = False Then
                Destination.AddItem Source.List(I)
            End If
        End If
        FND = False
    Next
    I = Source.ListCount - 1
    'Remove selected from Source
    Do While I > -1
        If Source.Selected(I) Then Source.RemoveItem I
        I = I - 1
    Loop
End Sub

Private Sub List1_OLEDragDrop(Index As Integer, Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
    Select Case Index
        Case 0
            AddSelected List1(1), List1(0)
        Case 1
            AddSelected List1(0), List1(1)
    End Select
End Sub
