VERSION 5.00
Begin VB.Form Main 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Hello multimon!"
   ClientHeight    =   5505
   ClientLeft      =   4125
   ClientTop       =   3285
   ClientWidth     =   4725
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   367
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   315
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton CloseBtn 
      Caption         =   "Close"
      Default         =   -1  'True
      Height          =   372
      Left            =   3360
      TabIndex        =   2
      Top             =   5040
      Width           =   1212
   End
   Begin VB.CommandButton HelloBtn 
      Caption         =   "Say Hello"
      Height          =   372
      Left            =   1920
      TabIndex        =   1
      Top             =   5040
      Width           =   1212
   End
   Begin VB.ListBox Info 
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   4680
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   4452
   End
End
Attribute VB_Name = "Main"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Hello World for multimon, VB version
'displays information about all monitors and says hello on each one
'
'This source code may be freely distributed as long as it is not being modified.
'You may freely use this source code in your own applications, commercial or not.
'copyright 1999 by Realtime Soft, www.realtimesoft.com
'send bug reports to multimon@realtimesoft.com.
'
'THE SOURCE CODE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED
'OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS
'FOR A PARTICULAR PURPOSE.
'
'IN NO EVENT SHALL REALTIME SOFT BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
'CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
'DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY
'OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
'SOURCE CODE.

Option Explicit



Private Sub CloseBtn_Click()
    Unload Me
End Sub



Private Sub Form_Load()
    'get the number of monitors which are currently attached to the desktop
   If Not APIFunctionPresent("EnumDisplayMonitors", "user32.dll") Then
        Dim sMsg As String
        sMsg = "This example cannot be run because the EnumDisplayMonitors function "
        sMsg = sMsg & "is not available on this system. Currently, Windows 98 and Windows "
        sMsg = sMsg & "2000 support this function"
        MsgBox sMsg, vbInformation, "Cannot Continue"
        End
    End If
                
                
    
    Info.AddItem "Number of monitors attached to the desktop: " & _
        GetSystemMetrics(SM_CMONITORS)
    
    'get the top-left coordinates and the dimension of the desktop
    Dim x As Long, y As Long, cx As Long, cy As Long
    x = GetSystemMetrics(SM_XVIRTUALSCREEN)
    y = GetSystemMetrics(SM_YVIRTUALSCREEN)
    cx = GetSystemMetrics(SM_CXVIRTUALSCREEN)
    cy = GetSystemMetrics(SM_CYVIRTUALSCREEN)
    Info.AddItem "Desktop: " & x & "," & y & " - " & x + cx & "," & y + cy & _
        ". Dimension: " & cx & "x" & cy
        
    'check if all monitors are using the same pixel format
    Dim samePixFormat As Boolean
    samePixFormat = GetSystemMetrics(SM_SAMEDISPLAYFORMAT)
    If samePixFormat Then
        Info.AddItem "Same pixel format: yes"
    Else
        Info.AddItem "Same pixel format: no"
    End If
    
    Info.AddItem ""
    
    'gather information about each monitor
    Set infoBox = Info
    EnumDisplayMonitors 0, 0, AddressOf MonitorInfoEnum

    'create the helloForms collection
    Set helloForms = New Collection
End Sub



Private Sub HelloBtn_Click()
    If helloForms.Count > 0 Then
        'Hello forms currently displayed, unload them all
        Dim i
        For Each i In helloForms
            Unload i
        Next
        Do While helloForms.Count > 0
            helloForms.Remove 1
        Loop
        
        HelloBtn.Caption = "Say Hello"
    Else
        'no Hello forms currently displayed, create one for each monitor
        EnumDisplayMonitors 0, 0, AddressOf MonitorHelloEnum
        
        HelloBtn.Caption = "Close windows"
    End If
End Sub
