Attribute VB_Name = "MultimonDeclares"
'Hello World for multimon, VB version
'displays information about all monitors and says hello on each one
'
'This source code may be freely distributed as long as it is not being modified.
'You may freely use this source code in your own applications, commercial or not.
'copyright 1999 by Realtime Soft, www.realtimesoft.com
'send bug reports to multimon@realtimesoft.com.
'
'THE SOURCE CODE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED
'OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS
'FOR A PARTICULAR PURPOSE.
'
'IN NO EVENT SHALL REALTIME SOFT BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
'CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
'DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY
'OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
'SOURCE CODE.

'Constants
Public Const SM_XVIRTUALSCREEN = 76
Public Const SM_YVIRTUALSCREEN = 77
Public Const SM_CXVIRTUALSCREEN = 78
Public Const SM_CYVIRTUALSCREEN = 79
Public Const SM_CMONITORS = 80
Public Const SM_SAMEDISPLAYFORMAT = 81

Public Const CCHDEVICENAME = 32
Public Const MONITORINFOF_PRIMARY = &H1

'Types
Public Type RECT
    Left As Long
    Top As Long
    Right As Long
    Bottom As Long
End Type

Public Type MONITORINFO
    cbSize As Long
    rcMonitor As RECT
    rcWork As RECT
    dwFlags As Long
End Type

Public Type MONITORINFOEX
    cbSize As Long
    rcMonitor As RECT
    rcWork As RECT
    dwFlags As Long
    szDevice As String * CCHDEVICENAME
End Type

'Functions
Public Declare Function GetSystemMetrics Lib "user32" (ByVal nIndex As Long) As Long
'hdc: pass 0 to enumerate all monitors, a valid hDC to enumerate only the monitors
'     intersecting with this hDC
'lprcClip: must be 0. if you want to enumerate all monitors intersecting a specific
'     rectangle, you'll have to change the argument type, but if you change it to
'     RECT you won't be able to pass 0 anymore...
'lpfnEnum: the address of the enumeration callback function. must reside in a module
'dwData: should be 0
Public Declare Function EnumDisplayMonitors Lib "user32" (ByVal hdc As Long, _
    ByVal lprcClip As Long, ByVal lpfnEnum As Long, Optional dwData As Any = 0) As Long
Public Declare Function GetMonitorInfo Lib "user32" Alias "GetMonitorInfoA" (ByVal hMonitor As Long, _
    lpmi As MONITORINFOEX) As Long
    


